STRUCT DRM_CRTC_STAT(9)

NAME
struct_drm_crtc_state - mutable CRTC state

SYNOPSIS

struct drm_crtc_state {
  bool enable;
  bool planes_changed:1;
  bool mode_changed:1;
  u32 plane_mask;
  u32 last_vblank_count;
  struct drm_display_mode adjusted_mode;
  struct drm_display_mode mode;
  struct drm_pending_vblank_event * event;
  struct drm_atomic_state * state;
};

MEMBERS

enable
    whether the CRTC should be enabled, gates all other state

planes_changed
    for use by helpers and drivers when computing state updates

mode_changed
    for use by helpers and drivers when computing state updates

plane_mask
    bitmask of (1 << drm_plane_index(plane)) of attached planes

last_vblank_count
    for helpers and drivers to capture the vblank of the update to ensure framebuffer cleanup isn't done too early

adjusted_mode
    for use by helpers and drivers to compute adjusted mode timings

mode
    current mode timings

event
    optional pointer to a DRM event to signal upon completion of the state update

state
    backpointer to global drm_atomic_state

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT